# Class TCefBinaryValueOwn

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBinaryValue

## Declaration

`type TCefBinaryValueOwn = class(TCefBaseRefCountedOwn, ICefBinaryValue)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefBinaryValueOwn

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsOwned: Boolean;`
| `function IsSame(const that: ICefBinaryValue): Boolean;`
| `function IsEqual(const that: ICefBinaryValue): Boolean;`
| `function Copy: ICefBinaryValue;`
| `function GetRawData: Pointer;`
| `function GetSize: NativeUInt;`
| `function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;`
| `constructor Create;`

## Description

### Methods

| `function IsValid: Boolean;`
This item has no description. Showing description inherited from ICefBinaryValue.IsValid. Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0).

| `function IsOwned: Boolean;`
This item has no description. Showing description inherited from ICefBinaryValue.IsOwned. Returns true (1) if this object is currently owned by another object.

| `function IsSame(const that: ICefBinaryValue): Boolean;`
This item has no description. Showing description inherited from ICefBinaryValue.IsSame. Returns true (1) if this object and |that| object have the same underlying data.

| `function IsEqual(const that: ICefBinaryValue): Boolean;`
This item has no description. Showing description inherited from ICefBinaryValue.IsEqual. Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

| `function Copy: ICefBinaryValue;`
This item has no description. Showing description inherited from ICefBinaryValue.Copy. Returns a copy of this object. The data in this object will also be copied.

| `function GetRawData: Pointer;`
This item has no description. Showing description inherited from ICefBinaryValue.GetRawData. Returns a pointer to the beginning of the memory block. The returned pointer is valid as long as the ICefBinaryValue is alive.

| `function GetSize: NativeUInt;`
This item has no description. Showing description inherited from ICefBinaryValue.GetSize. Returns the data size.

| `function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;`
This item has no description. Showing description inherited from ICefBinaryValue.GetData. Read up to |buffer_size| number of bytes into |buffer|. Reading begins at the specified byte |data_offset|. Returns the number of bytes read.

| `constructor Create;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.